> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wattshift.com/llms.txt
> Use this file to discover all available pages before exploring further.

# get set point schedule



## OpenAPI

````yaml /api-reference/openapi.json post /v1/devices/hvac/{id}/set_point_schedule/get
openapi: 3.0.0
info:
  title: WattShift API
  description: An API for the WattShift Service (https://wattshift.com/partners)
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/devices/hvac/{id}/set_point_schedule/get:
    post:
      tags:
        - hvac
      summary: get set point schedule
      operationId: HvacCompositeAuthController_getSetPointSchedule_v1
      parameters:
        - name: x-ws-api-key
          in: header
          description: WattShift API Key
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HvacGetSetPointScheduleResponseDto'
              example:
                blocks:
                  - startDatetime: '2025-06-02T00:00:00.000Z'
                    endDatetime: '2025-06-02T08:00:00.000Z'
                    targetTemp: null
                    targetCoolSetpoint: 74
                    targetHeatSetpoint: 68
                    targetMode: AUTO
                  - startDatetime: '2025-06-02T08:00:00.000Z'
                    endDatetime: '2025-06-03T00:00:00.000Z'
                    targetTemp: null
                    targetCoolSetpoint: 76
                    targetHeatSetpoint: 66
                    targetMode: COOL
                startDatetime: '2025-06-02T00:00:00.000Z'
                endDatetime: '2025-06-03T00:00:00.000Z'
                tempUnits: F
      security:
        - x-ws-api-key: []
components:
  schemas:
    HvacGetSetPointScheduleResponseDto:
      type: object
      properties:
        blocks:
          type: array
          items:
            type: object
            properties:
              startDatetime:
                description: ISO 8601 date time string
                type: string
              endDatetime:
                description: ISO 8601 date time string
                type: string
              targetTemp:
                description: Temperature in units as specified by tempUnits
                type: number
                nullable: true
              targetCoolSetpoint:
                description: Target cool setpoint in units as specified by tempUnits
                type: number
              targetHeatSetpoint:
                description: Target heat setpoint in units as specified by tempUnits
                type: number
              targetMode:
                type: string
                enum:
                  - 'OFF'
                  - HEAT
                  - COOL
                  - AUTO
                x-enumNames:
                  - 'OFF'
                  - HEAT
                  - COOL
                  - AUTO
            required:
              - startDatetime
              - endDatetime
              - targetCoolSetpoint
              - targetHeatSetpoint
              - targetMode
        startDatetime:
          description: ISO 8601 date time string
          type: string
        endDatetime:
          description: ISO 8601 date time string
          type: string
        tempUnits:
          type: string
          enum:
            - F
            - C
          x-enumNames:
            - F
            - C
      required:
        - blocks
        - startDatetime
        - endDatetime
        - tempUnits
  securitySchemes:
    x-ws-api-key:
      type: apiKey
      in: header
      name: x-ws-api-key
      description: WattShift API key

````